Skip to main content
GET
/
account
/
{accountId}
/
safe
/
resolve
Resolve Safe on a chain
curl --request GET \
  --url https://api.blend.money/extern/{neobankId}/{accountTypeId}/account/{accountId}/safe/resolve \
  --header 'X-API-Key: <api-key>'
{
  "status": "<string>",
  "data": {
    "status": "<string>",
    "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "safeAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "chainId": 1
  }
}

Authorizations

X-API-Key
string
header
required

SHA-256 hashed API key issued per organization

Path Parameters

accountId
string<uuid>
required

Account UUID (returned by GET /account)

Query Parameters

chainId
integer
required

Chain ID to check for Safe deployment EVM chain ID

Example:

1

Response

Safe resolution result

status
string
required
Allowed value: "success"
data
object
Last modified on March 20, 2026